/**************************************************
opengate server test program

Copyright (C) 2005 Yoshiaki Watanabe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Email: watanaby@is.saga-u.ac.jp
**************************************************/

#include	"opengatesrv.h"

/*********************/
/*  main routine     */
/*********************/
int  main(int argc, char **argv)
{

  char serverID[100]="default";

  /* start log */
  errToSyslog(ERRORTOSYSLOG);     /* set output of err_xxx() to syslogd */
  openlog(argv[0], LOG_PID, FACILITY);

  printf("Config file=[%s]\n",CONFIGFILE);

  /* set param buffer for indicated serverID */
  printf("Enter serverID=");
  scanf("%s", serverID);
  if(CreateDbBuffer(serverID)!=0) return 0;

  /* show every parameter */
  printf("Address=[%s]\n",GetAuthAddress());
  printf("Port=[%s]\n",GetAuthPort());
  printf("Protocol=[%s]\n",GetAuthProtocol());
  printf("PamServiceName=[%s]\n",GetPamServiceName());
  printf("RadiusConfFile=[%s]\n",GetRadiusConfFile());
  printf("DurationDefault=[%d]\n",GetDurationDefault());
  printf("DurationMax=[%d]\n",GetDurationMax());
  printf("ActiveCheckInterval=[%d]\n",GetActiveCheckInterval());
  printf("NoReplyMax=[%d]\n",GetNoReplyMax());
  printf("NoPacketInterval=[%d]\n",GetNoPacketInterval());
  printf("IpfwMin=[%d]\n",GetIpfwMin());
  printf("IpfwMax=[%d]\n",GetIpfwMax());
  printf("IpfwInterval=[%d]\n",GetIpfwInterval());
  printf("PortMin=[%d]\n",GetPortMin());
  printf("PortMax=[%d]\n",GetPortMax());
  printf("EnableMacAddr=[%d]\n",GetEnableMacAddr());
  printf("FwScript=[%s]\n",GetFwScript());
  printf("FwScriptPath=[%s]\n",GetFwScriptPath());
  printf("UseFwScript=[%d]\n",GetUseFwScript());
  ReleaseDbBuffer();
  return 0;
}


